SpecialUpload wrongly formatted 'fileexists' error
Closed, ResolvedPublic

Description

Author: brianna.laugher

Description:
If you go to Special:Upload and enter a destination filename you know exists (e.g. "A.jpg" on Commons), you can an Ajaxy error message below from [[MediaWiki:Fileexists]]. However the supposed HTML appears escaped on the screen, instead of rendering a link.

Suspect it is SpecialUpload.php

$warning .= '<li>' . wfMsgExt( 'fileexists', 'parseinline', $dlink ) . '</li>' . $dlink2;

from r31082. I think $dlink is already something like '<a href="/wiki/A.jpg">A.jpg</a>' so then wfMsgExt escapes it?

So either 'parseinline' should be something else, or instead of $dlink it should be $file->something?


Version: unspecified
Severity: minor

bzimport added a project: MediaWiki-Uploading.Via ConduitNov 21 2014, 10:08 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13149.
bzimport created this task.Via LegacyFeb 25 2008, 12:25 PM
werdna added a comment.Via ConduitFeb 25 2008, 12:49 PM

fixed in r31254.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:49 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.